# Asterisk Project : Asterisk 12 Application_AgentRequest

Added by wikibot , edited by wikibot on Aug 29, 2013

# AgentRequest()

### Synopsis

Request an agent to connect with the channel.

### Description

Request an agent to connect with the channel. Failure to find and alert an agent will continue in the dialplan with `AGENT_STATUS` set.

AGENT_STATUS enumeration values:

- `INVALID` - The specified agent is invalid.
- `NOT_LOGGED_IN` - The agent is not available.
- `BUSY` - The agent is on another call.
- `ERROR` - Alerting the agent failed.

### Syntax

    AgentRequest(AgentId)

##### Arguments

- `AgentId`

### See Also

- Asterisk 12 Application_AgentLogin

### Import Version

This documentation was imported from Asterisk Version Unknown